* Question a
clear all
import excel "/Users/helenbao/Downloads/STATA Exercises - Data.xlsx", sheet("Example 1") firstrow

* Question b
histogram INDEX, frequency normal legend(on)

* Question c
twoway (scatter INDEX GDP)

* Question d
summarize INDEX GDP

* Question e
tabulate T

* Question f
generate T2 = T*T
generate LNGDP = ln(GDP)

* Question g
reg INDEX GDP T T2
vif
generate YEAR = _n
tsset YEAR
estat dwatson

* Question h
sw, pe(0.05) pr(0.10): reg INDEX GDP T T2 LNGDP

* Question i
reg INDEX GDP T
predict res, residuals
twoway (scatter res GDP)

* Question j
estat imtest,white

* Question k
estat  ovtest

* Question l
reg INDEX GDP T if _n<91
reg INDEX GDP T

* Question m
generate BREAK=0
replace BREAK=1 if GDP>30000000
generate TBREAK = T*BREAK
generate GDPBREAK=GDP*BREAK
reg INDEX GDP T
reg INDEX GDP T BREAK GDPBREAK TBREAK
test BREAK GDPBREAK TBREAK
 
* Question n
tabulate T, generate(TD)

* Question o
reg INDEX GDP i.T
reg INDEX GDP ib3.T  

* Question p
generate INDEXD=0
replace INDEXD=1 if INDEX > 103

* Question q
logit INDEXD GDP T, nolog

* Question r
set obs `=_N+3'
replace GDP=30000000 if missing(INDEX)
forvalues i=1(1)3 {
		replace T=`i' if _n==100+`i'
		}
predict INDEXDHAT

